import { Operation } from './Operation'

export const Encabezados = [
  {
    name: 'name',
    numeric: false,
    disablePadding: true,
    label: 'Nombre',
  },
  {
    name: 'activacion',
    numeric: false,
    disablePadding: true,
    label: 'Fecha Activación',
  },
  {
    name: 'dead',
    numeric: false,
    disablePadding: true,
    label: 'Fecha vencimiento',
  },
  {
    name: 'op',
    numeric: false,
    disablePadding: true,
    label: 'Operación',
    options: {
      filter: false,
      sort: false,
    }
  },
]

export const niveles_educativos = [
  "Primaria",
  "Basico",
  "Diversificado",
  "Tecnico",
  "Pregrado / Licenciatura",
  "Postgrado / Maestria",
  "Doctorado",
  "Diplomado",
  "Certificacion",
  "Cursos"
]

export function Build(pwds) {
  return pwds.map(password => {
    let { pwd, deadpwd, dateToActived, plaza_id } = password
    return {
      name: pwd,
      activacion: new Date().toUTCString(),//dateToActived, 
      dead: new Date().toUTCString(), //deadpwd,
      op: <Operation plz={plaza_id} pwd={pwd} />
    }
  })
}

